slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDGetDS

Obtain the direct solver object associated to the singular value solver object.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetDS(SVD svd,DS *ds)

Not Collective

### Input Parameters

| svd | - singular value solver context obtained from SVDCreate()

### Output Parameter

| ds | - direct solver context

### See Also

SVDSetDS()

### Level

advanced

### Location

src/svd/interface/svdbasic.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages